# Generated by Django 2.2.4 on 2019-10-16 08:42

from django.db import migrations, models
import motd.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(help_text='Message to show user. Markdown formatting is supported.')),
                ('show_from', models.DateTimeField(blank=True, default=motd.models._default_motd_show_from, help_text='Time and date before which message should not be shown')),
                ('show_until', models.DateTimeField(blank=True, default=motd.models._default_motd_show_until, help_text='Time and date after which message should not be shown')),
                ('background_colour', models.CharField(default='#e0e0e0', help_text='Background colour in CSS form', max_length=255)),
                ('foreground_colour', models.CharField(default='#212121', help_text='Foreground colour in CSS form', max_length=255)),
            ],
        ),
        migrations.AddIndex(
            model_name='message',
            index=models.Index(fields=['show_from', 'show_until'], name='motd_messag_show_fr_c6b7be_idx'),
        ),
    ]
